Bug 12513 - ctdb-eventd can't start because UNIX domain socket was not cleaned up
ctdb-eventd can't start because UNIX domain socket was not cleaned up
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 12510
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-12 14:24 UTC by Ralph Böhme
Modified: 2017-01-27 05:16 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-6 (1.13 KB, patch)
2017-01-17 23:26 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2017-01-12 14:24:25 UTC
From the log:

2017/01/12 11:30:26.409529 ctdbd[7252]: Starting event daemon /opt/samba/libexec/ctdb/ctdb_eventd -e /opt/samba/etc/ctdb//events.d -s /opt/samba/var/run/ctdb/eventd.sock -P 7252 -l file:/var/log/log.ctdb -d DEBUG
2017/01/12 11:30:26.409763 ctdbd[7252]: connect() failed, errno=111
2017/01/12 11:30:26.425455 ctdb-eventd[7254]: socket bind failed - /opt/samba/var/run/ctdb/eventd.sock

After removing /opt/samba/var/run/ctdb/eventd.sock it starts.

I guess you may want to add code to remove stale sockets like it's already done in ctdbd:

2017/01/12 11:30:26.409335 ctdbd[7252]: Removed stale socket /opt/samba/var/run/ctdb/ctdbd.socket
Comment 1 Amitay Isaacs 2017-01-13 04:53:12 UTC
eventd is supposed to remove the socket file when shutting down.

How did you manage to get into this situation?
Comment 2 Ralph Böhme 2017-01-13 06:13:51 UTC
By shutting down. :) With systemctl stop ctdb.
Comment 3 Amitay Isaacs 2017-01-17 23:26:30 UTC
Created attachment 12840 [details]
Patches for v4-6
Comment 4 Martin Schwenke 2017-01-17 23:39:55 UTC
Hi Karolin,

This is ready for 4.6.

Thanks...
Comment 5 Karolin Seeger 2017-01-24 20:11:03 UTC
(In reply to Martin Schwenke from comment #4)
Pushed to autobuild-v4-6-test.
Comment 6 Karolin Seeger 2017-01-27 05:16:01 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to v4-6-test.
Closing out bug report.

Thanks!